﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="design_time_crash_repro_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">

        <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
        <telerik:RadButton ID="Button1" runat="server" AutoPostBack="false" Text="Expand"></telerik:RadButton>
        <telerik:RadButton ID="Button2" runat="server" AutoPostBack="false" Text="Collapse"></telerik:RadButton>
        <telerik:RadGantt ID="RadGantt1"
            runat="server"
            DataSourceID="SqlDataSource1"
            DependenciesDataSourceID="SqlDataSource2"
            ResourcesDataSourceID="SqlDataSource3"
            AssignmentsDataSourceID="SqlDataSource4"
            EnableResources="true"
            AutoGenerateColumns="false"
            SelectedView="WeekView">
            <DataBindings>
                <TasksDataBindings IdField="ID" ParentIdField="ParentID" StartField="Start" OrderIdField="OrderID" SummaryField="Summary" ExpandedField="Expanded" EndField="End" TitleField="Title"
                    PercentCompleteField="PercentComplete" />
                <DependenciesDataBindings TypeField="Type" IdField="ID" PredecessorIdField="PredecessorID" SuccessorIdField="SuccessorID" />
                <ResourcesDataBindings IdField="ID" TextField="Name" ColorField="Color" />
                <AssignmentsDataBindings IdField="ID" TaskIdField="TaskID" ResourceIdField="ResourceID" UnitsField="Units" />
            </DataBindings>
            <Columns>
                <telerik:GanttBoundColumn DataField="title" HeaderText="Title" AllowEdit="true"></telerik:GanttBoundColumn>
                <telerik:GanttBoundColumn DataField="Start" DataType="DateTime" DataFormatString="dd/M/yyyy HH:mm"></telerik:GanttBoundColumn>
                <telerik:GanttBoundColumn DataField="End" DataType="DateTime" DataFormatString="dd/MM/yyyy HH:mm"></telerik:GanttBoundColumn>
                <telerik:GanttResourceColumn HeaderText="Asssigned Resources"></telerik:GanttResourceColumn>
            </Columns>
        </telerik:RadGantt>
        <asp:SqlDataSource runat="server" ID="SqlDataSource1" SelectCommand="SELECT * FROM [GanttTasks]" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>" />
        <asp:SqlDataSource runat="server" ID="SqlDataSource2" SelectCommand="SELECT * FROM [GanttDependencies]" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>" />
        <asp:SqlDataSource runat="server" ID="SqlDataSource3" SelectCommand="SELECT * FROM [GanttResources]" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>" />
        <asp:SqlDataSource runat="server" ID="SqlDataSource4" SelectCommand="SELECT * FROM [GanttResourceAssignments]" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>" />

        <script>

            function pageLoad() {
                var gantt = $find("RadGantt1");
                var rootTasks = gantt.get_tasks();

                var toggleTasks = function(state, tasks) {
                    var task;

                    for (var i = 0; i < tasks.get_count() ; i++) {
                        task = tasks.getTask(i);
                        task.set_expanded(state);
                        toggleTasks(state, task.get_tasks());
                    }
                };

                $telerik.$("#Button1").on("click", function() {
                    toggleTasks(true, rootTasks);
                });

                $telerik.$("#Button2").on("click", function() {
                    toggleTasks(false, rootTasks);
                });
            }

        </script>
    </form>
</body>
</html>
